Bug 540619 - [abrt] crash detected in sbackup-0.10.5-8.fc12
Summary: [abrt] crash detected in sbackup-0.10.5-8.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sbackup
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0a585590
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 19:54 UTC by Marcelo Martínez
Modified: 2009-12-24 20:46 UTC (History)
2 users (show)

Fixed In Version: 0.10.5-9.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-24 20:46:49 UTC


Attachments (Terms of Use)
File: backtrace (815 bytes, text/plain)
2009-11-23 19:54 UTC, Marcelo Martínez
no flags Details
proposed patch (681 bytes, patch)
2009-11-23 21:52 UTC, Thomas Spura
no flags Details | Diff

Description Marcelo Martínez 2009-11-23 19:54:43 UTC
abrt detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python /usr/sbin/simple-backup-config 
component: sbackup
executable: /usr/sbin/simple-backup-config
kernel: 2.6.31.5-127.fc12.x86_64
package: sbackup-0.10.5-8.fc12
uuid: 0a585590

Comment 1 Marcelo Martínez 2009-11-23 19:54:47 UTC
Created attachment 373217 [details]
File: backtrace

Comment 2 Thomas Spura 2009-11-23 21:52:04 UTC
Created attachment 373250 [details]
proposed patch

With this patch, sbackup checks first if option "stop_if_no_target" exists and if not, this won't check the config file for this and breaks.

This is currently untested...

Comment 3 Fedora Update System 2009-11-26 19:10:16 UTC
sbackup-0.10.5-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sbackup-0.10.5-9.fc12

Comment 4 Marcelo Martínez 2009-11-26 19:21:50 UTC
The automatic bug reporter tool is a great idea :D

Comment 5 Christoph Wickert 2009-11-26 19:26:20 UTC
Yes, but please be so kind as to enter a comment on what you did when the app crashed before submitting the report.

Comment 6 Fedora Update System 2009-11-27 21:57:43 UTC
sbackup-0.10.5-9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sbackup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12283

Comment 7 Fedora Update System 2009-12-24 20:46:44 UTC
sbackup-0.10.5-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.